#!/bin/sh

echo ""
echo "######################################################################"
echo "#              WrightEagle Simulation 2D Team - WE2008               #"
echo "#                                                                    #"
echo "#                      Multi-Agent Systems Lab.                      #"
echo "#           University of Science and Technology of China            #"
echo "#                  Hefei, Anhui Province, P.R. China                 #"
echo "#                                                                    #"
echo "#                     Tutor: Prof. Xiaoping Chen                     #"
echo "#     Team members: Ke Shi, Tengfei Liu, Aijun Bai, Wenkui Wang      #"
echo "#                    WWW: http://wrighteagle.org/                    #"
echo "#                  E-mail: shike15@mail.ustc.edu.cn                  #"
echo "######################################################################"
echo ""

HOST="172.16.7.42"
CLIENT_CONF="./conf/client.conf"
SERVER_CONF="./conf/server.conf"
CLIENT="./WE2008"
PORT=6000
CPORT=6002
TEAM="WE2008"

N_PARAM="-file $CLIENT_CONF -file $SERVER_CONF -host $HOST -port $PORT -team_name $TEAM"
G_PARAM="-file $CLIENT_CONF -file $SERVER_CONF -host $HOST -port $PORT -team_name $TEAM -goalie"
C_PARAM="-coach -host $HOST -name $TEAM -port $CPORT"

echo ">>>>>>>>>>>>>>>>>>>>>>1"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>2"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>3"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>4"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>5"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>6"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>7"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>8"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>9"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>10"
$CLIENT $N_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>11"
$CLIENT $G_PARAM &
sleep 2

echo ">>>>>>>>>>>>>>>>>>>>>>Coach"
$CLIENT $C_PARAM &

